require( "scripts/common/simple_object.lua" );

local ObjectTable = GetObjectTable("makeschoolagedbed");

schoolagedbed = simple_object:new{
	anchor_x=30,
	anchor_y=90,
	offset_x=-6,
	offset_y=-3,
	texture="anim/objects/schoolagedbed/schoolagedbed",
	animation_script="anim/objects/default_animation_script.lua",
	glow_texture="anim/objects/schoolagedbed/schoolagedbed_glow",
	glow_animation_script="anim/objects/default_glow_animation_script.lua",
	indicator_ui_x=20,
	indicator_ui_y=-30,
	dad_ui_x=-15,
	dad_ui_y=-30,
	mom_ui_x=55,
	mom_ui_y=-30,
	
	messing_state_time = 8000;
	cleaning_state_time = 2500;
	
	character_messing_animation = "playing_guitar";
	character_cleaning_animation = "doing_bow_down";
	flipped_animation = false,

	messing_state_time = ObjectTable["messing_time"],
	cleaning_state_time = ObjectTable["cleaning_time"],
	stress_inc = ObjectTable["stress_inc"],
	
	check_teamwork = true;
	finish_teamwork = true;
	teamworktask_name = "makethechildbed";
}

function schoolagedbed:new(o)
	o = o or {}   -- create object if user does not provide one
	setmetatable(o, self)
	self.__index = self
	return o
end
